---
layout: default
title: GitLab Pricing
description: "See the options to self-host GitLab or use GitLab.com."
canonical_path: "/pricing/"
suppress_header: true
cta_contact_title: "Still have questions? Get in touch."
cta_contact_subtitle: "We're here to help. Talk to an expert today."
cta_contact_button_primary_text: "Contact Sales"
cta_contact_button_primary_url: "/sales/"
cta_contact_single_button: true
disable_default_styles: true
disable_handbook_styles: true
manual_cookiebot: true
extra_css:
  - pricing2020.css
extra_js:
  - libs/slick.min.js
  - leap.js
---


%script{src: cache_bust("/javascripts/pricing.js", cache_bust_value)}

.pricing-page
  // ----- NO EXPERIMENT RUNNING -----
  = partial '/includes/pricing-control'
  :javascript
    document.addEventListener("DOMContentLoaded", () => {
      initializeSlider();
    });

  // ----- EXPERIMENT RUNNING ----- 
  -# = partial "/experiments/structure", locals: {experiment_id: "12017", experiment_flag: "pricing-12017", extra_functions_control: "initializeSlider", extra_functions_test: "initializeSlider"}

  .slp-bg-grayscale-highlight#add-ons
    .container.slp-container
      .row
        .col-md-4.slp-mb-0
          %div.add-on-container.slp-mb-16.slp-mx-auto.md:slp-mb-0
            %h3.add-on-header.slp-text-grayscale-333.slp-text-3xl.md:slp-text-4xl.slp-leading-tight.slp-pb-8 Add-ons
            %p.add-on-subheader.slp-text-grayscale-333.slp-text-base.slp-leading-normal.slp-mb-0 Purchase additional CI/CD minutes or storage for your group or personal namespaces. Repository storage of 10GB per project is free across all tiers.
        .col-md-4.slp-mb-0
          %a{href: "https://docs.gitlab.com/ee/subscriptions/gitlab_com/#purchase-additional-ci-minutes"}
            .add-on-container.slp-p-32.slp-pt-24.slp-bg-white.slp-border-grayscale-333.slp-rounded-md.slp-mb-16.slp-mx-auto.md:slp-mb-0.hover:slp-shadow-lg.hover:no-underline.slp-ease-in-out.slp-transition-all.slp-duration-300.slp-cursor-pointer
              %h4.slp-text-xl.slp-text-center.slp-leading-tight.slp-text-grayscale-333.slp-mb-20.md:slp-text-xxl CI/CD Minutes 
              %div.slp-flex.slp-flex-row.slp-justify-center.slp-items-center.slp-mb-16
                %p.slp-text-grayscale-333.slp-text-5xl.slp-text-center.slp-mb-0.slp-mr-12 $10
                %div
                  %p.slp-text-grayscale-333.slp-text-sm.slp-leading-normal.slp-font-bold.slp-mb-0 per 1,000 minutes
                  %p.slp-text-grayscale-333.slp-text-sm.slp-leading-normal.slp-font-normal.slp-mb-0 One time payment
              %a.slp-flex.slp-justify-center.slp-items-center.slp-font-bold.slp-text-sm.slp-leading-6.hover:slp-underline.group-hover:slp-text-ui-secondary.slp-text-ui-secondary-dark.slp-block.slp-text-center{href: "https://docs.gitlab.com/ee/subscriptions/gitlab_com/#purchase-additional-ci-minutes"}
                %span How to buy CI Minutes
                %span.slp-flex.slp-items-center.slp-ml-8= partial "/images/icons/slp-arrow-right.svg" 
        .col-md-4.slp-mb-0
          %a{href: "https://customers.gitlab.com/subscriptions/new?plan_id=2c92a00f7279a6f5017279d299d01cf9&transaction=storage" }
            .add-on-container.slp-p-32.slp-pt-24.slp-bg-white.slp-border-grayscale-333.slp-rounded-md.slp-mb-16.slp-mx-auto.md:slp-mb-0.hover:slp-shadow-lg.hover:no-underline.slp-ease-in-out.slp-transition-all.slp-duration-300.slp-cursor-pointer
              %h4.slp-text-xl.slp-text-center.slp-leading-tight.slp-text-grayscale-333.slp-mb-20.md:slp-text-xxl Storage
              %div.slp-flex.slp-flex-row.slp-justify-center.slp-items-center.slp-mb-16
                %p.slp-text-grayscale-333.slp-text-5xl.slp-text-center.slp-mb-0.slp-mr-12 $60
                %div 
                  %p.slp-text-grayscale-333.slp-text-sm.slp-leading-normal.slp-font-bold.slp-mb-0  per 10 GB
                  %p.slp-text-grayscale-333.slp-text-sm.slp-leading-normal.slp-font-normal.slp-mb-0 Renews anually
              %a.slp-flex.slp-justify-center.slp-items-center.slp-font-bold.slp-text-sm.slp-leading-6.hover:slp-underline.group-hover:slp-text-ui-secondary.slp-text-ui-secondary-dark.slp-block.slp-text-center{href: "https://customers.gitlab.com/subscriptions/new?plan_id=2c92a00f7279a6f5017279d299d01cf9&transaction=storage" }
                %span Buy Storage
                %span.slp-flex.slp-items-center.slp-ml-8= partial "/images/icons/slp-arrow-right.svg" 
        
  .container.slp-container#cta-alliances
    .row
      .col-md-6
        %a{ href: "https://about.gitlab.com/sales/" }
          .alliance-container.sales.slp-shadow.hover:slp-shadow-lg.hover:no-underline.slp-ease-in-out.slp-transition-all.slp-duration-300.slp-cursor-pointer.slp-text-grayscale-333.slp-rounded-md.slp-border.slp-border-grayscale-highlight.slp-border-solid
            %img{ class: "alliance-logo", src: "/images/icons/localization-person.svg", style: "max-height: 64px", loading: "lazy"}
            %h3.alliance-heading.slp-font-normal.slp-text-grayscale-333.slp-text-lg.slp-leading-tight Learn how GitLab's DevOps Platform can help you.
            %p.alliance-content.slp-font-normal.slp-text-grayscale-333.slp-text-base.slp-leading-normal Achieve efficiencies and improve velocity while staying secure and compliant.
            %a.alliance-link.slp-font-bold.slp-text-sm.slp-leading-6.hover:slp-underline.group-hover:slp-text-ui-secondary.slp-text-ui-secondary-dark{ href: "https://about.gitlab.com/sales/" }
              %span Talk to an expert
              %span.icon= partial "/images/icons/slp-arrow-right.svg"
      .col-md-6
        %a{ href: "https://page.gitlab.com/cloud-partner-marketplaces.html" }
          .alliance-container.cloud.slp-shadow.hover:slp-shadow-lg.hover:no-underline.slp-ease-in-out.slp-transition-all.slp-duration-300.slp-cursor-pointer.slp-text-grayscale-333.slp-rounded-md.slp-border.slp-border-grayscale-highlight.slp-border-solid
            %img{ class: "alliance-logo", src: "/images/icons/slp-cloud-2.svg", style: "max-height: 64px", loading: "lazy"}
            %h3.alliance-heading.slp-font-normal.slp-text-grayscale-333.slp-text-lg.slp-leading-tight Purchase GitLab through Cloud Marketplaces seamlessly.  
            %p.alliance-content.slp-font-normal.slp-text-grayscale-333.slp-text-base.slp-leading-normal Consolidate your GitLab subscription with integrated cloud billing.
            %a.alliance-link.slp-font-bold.slp-text-sm.slp-leading-6.hover:slp-underline.group-hover:slp-text-ui-secondary.slp-text-ui-secondary-dark{ href: "https://page.gitlab.com/cloud-partner-marketplaces.html" }
              %span Contact Sales to learn more
              %span.icon= partial "/images/icons/slp-arrow-right.svg"

  .container.slp-container#faq
    .row.faq.text-center.u-padding-top-md.u-padding-bottom-md
      %h2.text-center Frequently asked questions
      .faq-holder.text-left
        = partial 'includes/layout/faq_list', locals: { faq_open: false}

  .row#ask-us-anything
    .u-padding-top-md
      .container.container2020
        = partial "includes/components/cta-contact"
